mpt_send_handshake_request
Prev | Fusion message devices | Next

## Name

mpt_send_handshake_request — Send MPT request via doorbell handshake method.

## Synopsis

`int mpt_send_handshake_request (` | u8 | cb_idx,
| MPT_ADAPTER * | ioc,
| int | reqBytes,
| u32 * | req,
| int | sleepFlag`)`;

## Arguments

`cb_idx`

  Handle of registered MPT protocol driver

`ioc`

  Pointer to MPT adapter structure

`reqBytes`

  Size of the request in bytes

`req`

  Pointer to MPT request frame

`sleepFlag`

  Use schedule if CAN_SLEEP else use udelay.

## Description

This routine is used exclusively to send MptScsiTaskMgmt requests since they are required to be sent via doorbell handshake.

## NOTE

It is the callers responsibility to byte-swap fields in the request which are greater than 1 byte in size.

Returns 0 for success, non-zero for failure.

Prev | Up | Next
mpt_add_sge | Home | mpt_verify_adapter